Subject: Re: [PATCH] [-MM, FIX V4] e1000e: incorporate napi_struct changes from net-2.6.24.git

From: Jiri Slaby <[email-masked]>
Date: Mon, 17 Sep 2007 21:33:04 +0200

On 09/17/2007 06:29 PM, Kok, Auke wrote:
> Jiri Slaby wrote:
>> On 12/23/-28158 08:59 PM, Auke Kok wrote:
>>> This incorporates the new napi_struct changes into e1000e. Included
>>> bugfix for ifdown hang from Krishna Kumar for e1000.
>>>
>>> Disabling polling is no longer needed at init time, so remove
>>> napi_disable() call from _probe().
>>>
>>> This also fixes an endless polling loop where the driver signalled
>>> "polling done" improperly back to the stack.
>>>
>>> Signed-off-by: Auke Kok <[email-masked]>

Tested-by: Jiri Slaby <[email-masked]>

>>> ---
>>>
>>>  drivers/net/e1000e/e1000.h  |    2 ++
>>>  drivers/net/e1000e/netdev.c |   40 ++++++++++++++++------------------------
>>>  2 files changed, 18 insertions(+), 24 deletions(-)
[...]
> I have no lockups here as well anymore, so I'm wondering if you accidentally used
> V3 of the patch.

And so am I, it works, I ported one change to e1000 (non-e) driver and missed
the return 0; removal. Fixed both of them now, so one of them caused it.

thanks a lot,
-- 
Jiri Slaby ([email-masked])
Faculty of Informatics, Masaryk University

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/